Error in the Fml/Forge

I have a problem with the fml / forge, this error happens when I try to join my mods server (sponge) to the network (aegis) and the error is the following this server has mods that require fml / forge to be installed on the client

You likely need to use waterfall or velocity instead. And make sure to follow needed steps from: https://docs.spongepowered.org/stable/es/server/getting-started/bungeecord.html

and is that a kind of bungee?

Waterfall is a fork of Bungee, so yeah. Velocity isn’t.

Waterfall is essentially Bungee just plays nicer with Forge (and sponge)